/// <reference types="node" />
import { EventEmitter } from 'events';
import { Options } from './Options';
import { LincolnLog } from './LincolnLog';
export declare class Lincoln extends EventEmitter {
    private readonly loggers;
    readonly id: string;
    private readonly options;
    constructor(logOptions?: Partial<Options> | string, loggers?: LincolnLog[]);
    get namespace(): string;
    debug(...parameters: any[]): void;
    error(...parameters: any[]): void;
    fatal(...parameters: any[]): void;
    info(...parameters: any[]): void;
    silly(...parameters: any[]): void;
    trace(...parameters: any[]): void;
    warn(...parameters: any[]): void;
    extend(tag: string): Lincoln;
    now(): string;
    private normalize;
    private write;
    private writer;
}
//# sourceMappingURL=Lincoln.d.ts.map